=== debian/changelog ===
tp-linux (0.48) squeeze; urgency=low

  * Fix depends of tp-linux-afs-bcache.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Sep 2014 10:15:16 +0100

tp-linux (0.47) squeeze; urgency=low

  * Create tp-linux-afs-bcache
  * Replace tp-linuc-*3.13 by tp-linux-*3.14

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Sep 2014 09:59:47 +0100

tp-linux (0.46) squeeze; urgency=low

  * Fix typo on dependecies to linux-headers-3.13-0.bpo.1-<FLAVOUR>
  * Update debian/copyright file

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Mar 2014 14:56:50 +0000

tp-linux (0.45) squeeze; urgency=low

  * Change architecture from specific to all for amd64 and powerpc

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Mar 2014 12:29:18 +0000

tp-linux (0.44) squeeze; urgency=low

  * Use Debian backports kernels for bcache
  * Add support for 686-pae and powerpc-smp kernels

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 20 Mar 2014 19:10:27 +0000

tp-linux (0.43) squeeze; urgency=low

  * New metapackages tp-linux-bcache, tp-linux-3.13, tp-linux-3.13-amd64

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 11 Mar 2014 20:05:01 +0000

tp-linux (0.42) squeeze; urgency=low

  * Removed deprecated packages: tp-linux-labs-lenny-lti,
    tp-linux-2.6.26*, tp-linux-afs-2.6.26*

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 16 Jul 2013 15:36:11 +0100

tp-linux (0.41) squeeze; urgency=low

  *  Rename package tp-linux-3.2.0-686 to tp-linux-3.2.0-686-pae.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 31 May 2013 18:58:08 +0100

tp-linux (0.40) squeeze; urgency=low

  * Revert last change.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 31 May 2013 18:45:41 +0100

tp-linux (0.39) squeeze; urgency=low

  * Fix depends of packages tp-linux-3.2.0-<FLAVOUR>.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 29 May 2013 19:06:31 +0100

tp-linux (0.38) squeeze; urgency=low

  * Bump ABI to version 4 for 3.2.0 kernels.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Apr 2013 19:40:12 +0100

tp-linux (0.37) squeeze; urgency=low

  * Add depency openafs-modules-dkms to tp-linux-afs-*

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Mon, 08 Apr 2013 19:35:25 +0100

tp-linux (0.36) squeeze; urgency=low

  * Updated Makefile to version 0.24.
  * Updated debian/rules to version 0.24.
  * Swap dependency between kernel 2.6.26 and 2.6.32

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Tue, 02 Apr 2013 20:09:18 +0100

tp-linux (0.35) squeeze; urgency=low

  * Bump ABI to version 3 for 3.2.0 kernels

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Aug 2012 20:48:55 +0100

tp-linux (0.34) squeeze; urgency=low

  * Partial support for kernels 3.2.0, lacks openafs metapackages.
  * Update Makefile to version 0.20~rc1

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Aug 2012 20:00:38 +0100

tp-linux (0.33) updates; urgency=low

  * Re-add sparc architecture.
  * Add depends on openafs-modules3, type for openafs modules 1.6.x .
  * Update Makefile to version 0.19~rc2.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Wed, 18 Apr 2012 12:14:39 +0100

tp-linux (0.32) updates; urgency=low

  * Added a missing coma on depends field that was hiding the firmware-linux.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 04 Sep 2011 18:48:29 +0100

tp-linux (0.31) updates; urgency=low

  * Created tp-linux-labs-squeeze-lti and tp-linux-labs-lenny-lti

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 15:54:35 +0100

tp-linux (0.30) updates; urgency=low

  * Corrects tp-linux-afs-2.6, now depends on kernel 2.6.26 or 2.6.32
  * Corrects tp-linux-afs-2.6.32-*-flavour, now depends on
    tp-linux-2.6.32-*-flavour and so install kernel headers.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 12 Aug 2011 15:35:45 +0100

tp-linux (0.29) updates; urgency=low

  * Updated Makefile to version v0.17
  * Kernel 2.6.32 needs firmware, most of them are non-free, change depends.

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Jun 2011 20:42:05 +0100

tp-linux (0.28) updates; urgency=low

  * Changes because squeeze is now stable:
  
    * Makefile uploads to lenny.
  
    * Create packages tp-linux-2.6.32-bpo-* and tp-linux-afs-2.6.32-bpo-*
    for backports kernels.

    * Create packages tp-linux-2.6.32-squeeze-* and
    tp-linux-afs-2.6.32-squeeze-* for squeeze kernels.
  
    * Packages tp-linux-2.6.32-<FLAVOUR>, tp-linux-afs-2.6.32-<FLAVOUR>
    are transicional packages for making easier the upgrade from backport
    kernels to squeeze kernels.
  
    * The same for the tp-linux-2.6.32-<FLAVOUR>-slim and
    tp-linux-afs-2.6.32-<FLAVOUR>-slim packages

    * Removed packages for sparc architecture.
  
 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Sun, 06 Feb 2011 18:52:55 +0000

tp-linux (0.27) updates; urgency=low

  * debian/copyright: draft for the DEP5 syntax format
  * tp-linux-2.6.32* and tp-linux-afs-2.6.32* depends on
    linux-tools-2.6.32

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Mon, 31 Jan 2011 20:40:35 +0000

tp-linux (0.26) updates; urgency=low

  * Created slim version for 2.6.32, only install de kernel, no headers or
    latest kernel.
  * Remove older and obsolete packages: 2.6.8, 2.6.16, 2.6.17.
  * Updated Makefile to version 0.13 from deb-template

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Thu, 30 Dec 2010 20:03:38 +0000

tp-linux (0.25) updates; urgency=low

  * tp-linux-*2.6.32* now depends on ABI bpo.5 instead of bpo.4

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 21 Sep 2010 16:20:15 +0100

tp-linux (0.24) updates; urgency=low

  * Added support for 2.6.32 from backports.org
  * Remove support for old 2.4.27 kernels
  * Recomended kernels for Labs and LTIs are now 2.6.26 or 2.6.32

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Tue, 11 May 2010 16:06:53 +0100

tp-linux (0.23) updates; urgency=low


