=== debian/control ===
Source: tp-linux
Section: dsi
Priority: optional
Maintainer: Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: tp-linux-labs-lti
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-labs-squeeze-lti,
Description: Recomended kernel and afs modules for LTIs
 Experimental
 .
 Recomended kernel and OpenAFS modules to be used on LTIs.


Package: tp-linux-labs-squeeze-lti
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32-squeeze-686 | tp-linux-afs-2.6.32-squeeze-amd64,
 tp-linux-afs-2.6.32-squeeze-486 | tp-linux-afs-2.6.32-squeeze-amd64,
Description: Recomended kernel and afs modules for LTIs
 Experimental
 .
 Recomended kernel and OpenAFS modules to be used on LTIs.

Package: tp-linux-labs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended kernel and afs modules for others labs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-labs-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended kernel and afs modules for others labs with Intel CPUs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-labs-k7
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32
Description: Recomended kernel and afs modules for others labs with AMD CPUs
 Tendo em conta as necessidades das cadeiras e os diferentes tipos de
 PCs nos laboratorios sem login integrado, este e o kernel recomendado.

Package: tp-linux-bcache
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.14 
Description: latest recomended Linux kernel for bcache
 Depends on 3.14.x
 .

Package: tp-linux-3.14
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.14-amd64 | tp-linux-3.14-686-pae | tp-linux-3.14-powerpc-smp
Description: latest recomended Linux kernel 3.14
 Depends on 3.14.x
 .

Package: tp-linux-3.14-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-amd64, linux-headers-3.14-0.bpo.2-amd64,
Description: latest recomended Linux kernel 3.14.x, amd64 flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .

Package: tp-linux-3.14-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-686-pae, linux-headers-3.14-0.bpo.2-686-pae,
Description: latest recomended Linux kernel 3.14.x, 686-pae flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .

Package: tp-linux-3.14-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-3.14-0.bpo.2-powerpc-smp, linux-headers-3.14-0.bpo.2-powerpc-smp,
Description: latest recomended Linux kernel 3.14.x, powerpc-smp flavour
 Depends on Linux Kernel 3.14-0.bpo.1
 .


Package: tp-linux-3.2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.2.0 
Description: latest recomended Linux kernel 3.2
 Depends on 3.2.0

Package: tp-linux-3.2.0
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-3.2.0-486 | tp-linux-3.2.0-686-pae |  
 tp-linux-3.2.0-amd64 | 
 tp-linux-3.2.0-powerpc | tp-linux-3.2.0-powerpc-smp |
 tp-linux-3.2.0-sparc64 | tp-linux-3.2.0-sparc64-smp,
Description: latest recomended Linux kernel 3.2.0
 Experimental
 .

Package: tp-linux-3.2.0-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-3.2.0-4-486, linux-headers-3.2.0-4-486,
Description: latest recomended Linux kernel 3.2.0, 486 flavour
 Experimental
 .

Package: tp-linux-3.2.0-686-pae
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686-pae, linux-headers-2.6-686-pae,
 linux-image-3.2.0-4-686-pae, linux-headers-3.2.0-4-686-pae,
Description: latest recomended Linux kernel 3.2.0, 686-pae flavour
 Experimental
 .

Package: tp-linux-3.2.0-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-3.2.0-4-amd64, linux-headers-3.2.0-4-amd64,
Description: latest recomended Linux kernel 3.2.0, amd64 flavour
 Experimental
 .


Package: tp-linux-3.2.0-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-3.2.0-4-powerpc, linux-headers-3.2.0-4-powerpc,
Description: latest recomended Linux kernel 3.2.0, powerpc flavour
 Experimental
 .

Package: tp-linux-3.2.0-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc-smp, linux-headers-2.6-powerpc-smp,
 linux-image-3.2.0-4-powerpc-smp, linux-headers-3.2.0-4-powerpc-smp,
Description: latest recomended Linux kernel 3.2.0, powerpc flavour
 Experimental
 .


Package: tp-linux-3.2.0-sparc64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-sparc64, linux-headers-2.6-sparc64,
 linux-image-3.2.0-4-sparc64, linux-headers-3.2.0-4-sparc64,
Description: latest recomended Linux kernel 3.2.0, sparc64 flavour
 Experimental
 .

Package: tp-linux-3.2.0-sparc64-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-sparc64-smp, linux-headers-2.6-sparc64-smp,
 linux-image-3.2.0-4-sparc64-smp, linux-headers-3.2.0-4-sparc64-smp,
Description: latest recomended Linux kernel 3.2.0, sparc64 flavour
 Experimental
 .



Package: tp-linux-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32,
Description: latest recomended Linux kernel 2.6
 Depends on 2.6.32.

Package: tp-linux-proposed-updates-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6
Description: latest recomended Linux kernel 2.6
 Experimental

Package: tp-linux-afs-2.6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-afs-2.6.32,
Description: Recomended _stable_ kernel and afs, for most situations
 Depends on 2.6.32.







Package: tp-linux-2.6.32
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-486 | tp-linux-2.6.32-squeeze-686 | 
 tp-linux-2.6.32-squeeze-amd64 | 
 tp-linux-2.6.32-squeeze-powerpc | tp-linux-2.6.32-squeeze-powerpc-smp |
 tp-linux-2.6.32-squeeze-sparc64 | tp-linux-2.6.32-squeeze-sparc64-smp |
 tp-linux-2.6.32-bpo-486 | tp-linux-2.6.32-bpo-686 | 
 tp-linux-2.6.32-bpo-amd64 | 
 tp-linux-2.6.32-bpo-powerpc | tp-linux-2.6.32-bpo-powerpc-smp |
 tp-linux-2.6.32-bpo-sparc64 | tp-linux-2.6.32-bpo-sparc64-smp |
 tp-linux-2.6.32-486 | tp-linux-2.6.32-686 |
 tp-linux-2.6.32-amd64 |
 tp-linux-2.6.32-powerpc | tp-linux-2.6.32-powerpc-smp |
 tp-linux-2.6.32-sparc64 | tp-linux-2.6.32-sparc64-smp,
 linux-tools-2.6.32
Description: latest recomended Linux kernel 2.6.32
 Experimental
 .


Package: tp-linux-2.6.32-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-486 | tp-linux-2.6.32-bpo-486,
Description: latest recomended Linux kernel 2.6.32, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-686 | tp-linux-2.6.32-bpo-686
Description: latest recomended Linux kernel 2.6.32, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-amd64 | tp-linux-2.6.32-bpo-amd64,
Description: latest recomended Linux kernel 2.6.32, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-powerpc | tp-linux-2.6.32-bpo-powerpc
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-powerpc-smp | tp-linux-2.6.32-bpo-powerpc-smp
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .


Package: tp-linux-2.6.32-sparc64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-sparc64 | tp-linux-2.6.32-bpo-sparc64
Description: latest recomended Linux kernel 2.6.32, sparc64 flavour
 Experimental
 .

Package: tp-linux-2.6.32-sparc64-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 tp-linux-2.6.32-squeeze-sparc64-smp | tp-linux-2.6.32-bpo-sparc64-smp
Description: latest recomended Linux kernel 2.6.32, powerpc flavour
 Experimental
 .


Package: tp-linux-2.6.32-bpo-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-2.6.32-bpo.5-486, linux-headers-2.6.32-bpo.5-486,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686, linux-headers-2.6-686,
 linux-image-2.6.32-bpo.5-686, linux-headers-2.6.32-bpo.5-686,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-2.6.32-bpo.5-amd64, linux-headers-2.6.32-bpo.5-amd64,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-bpo-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-2.6.32-bpo.5-powerpc, linux-headers-2.6.32-bpo.5-powerpc,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-bpo-powerpc-smp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc-smp, linux-headers-2.6-powerpc-smp,
 linux-image-2.6.32-bpo.5-powerpc-smp, linux-headers-2.6.32-bpo.5-powerpc-smp,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 from backports, powerpc-smp flavour
 Experimental
 .


Package: tp-linux-2.6.32-squeeze-486
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-486, linux-headers-2.6-486,
 linux-image-2.6.32-5-486, linux-headers-2.6.32-5-486,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, 486 flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-686
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-686, linux-headers-2.6-686,
 linux-image-2.6.32-5-686, linux-headers-2.6.32-5-686,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, 686 flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-amd64
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-amd64, 
 linux-image-2.6-amd64, linux-headers-2.6-amd64,
 linux-image-2.6.32-5-amd64, linux-headers-2.6.32-5-amd64,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, amd64 flavour
 Experimental
 .


Package: tp-linux-2.6.32-squeeze-powerpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 linux-image-2.6-powerpc, linux-headers-2.6-powerpc,
 linux-image-2.6.32-5-powerpc, linux-headers-2.6.32-5-powerpc,
 linux-tools-2.6.32,
 firmware-linux, 
Description: latest recomended Linux kernel 2.6.32 for squeeze, powerpc flavour
 Experimental
 .

Package: tp-linux-2.6.32-squeeze-powerpc-smp
