## tp-linux 0.49

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Copyrigth: 2005-2014,2017,2020 Instituto Superior Técnico
 # Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 
 # License: GPL2+ with OpenSSL exception
 
 
-# "based" on template Makefile for most debian packages version 0.26
+# "based" on template Makefile for most debian packages version 0.29
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -18,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=stretch
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -40,11 +40,11 @@
 TARFILE=file-$(VER).tar.gz
 TARDIR=untar/$(PACKNAME)-$(VER)
 ifeq ($(NATIVE),0)
-DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
 #DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
 DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
 else
-DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
 DISTFILES=$(DISTFILE)
 endif
 
@@ -117,11 +117,11 @@
 	# Non native package
 	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
 	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
-	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
+	cd .. && tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -cf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 else
 	# native package
-	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | gzip -v9 -c > $(DISTFILE)
+	cd .. && tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf - $(SOURCENAME) | xz -v9 -c > $(DISTFILE)
 	cd .. && svn add $(DISTFILE)
 endif
 
@@ -142,10 +142,11 @@
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
 		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+	cd .. ; svn add --force \
+			$(SOURCENAME)_$(DEBVER)_*.changes \
 			$(SOURCENAME)_$(DEBVER)_*.build \
 			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+	cd .. ; svn add --force *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
 	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
 		$(DISTFILES) \
@@ -161,7 +162,7 @@
 		$(SOURCENAME)_$(DEBVER).dsc \
 		*_$(DEBVER)_*.deb \
 		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i "New release"
+	bash -c 'DEBEMAIL="jose.calhariz@tecnico.ulisboa.pt" debchange -i "New release"'
 
 
 .PHONY: build clean binary-indep binary-arch binary install configure unpack
