=== debian/changelog ===
tp-linux (0.49) stretch; urgency=low

  * Big shrink and start over again.

 -- Jose M Calhariz <jose.calhariz@tecnico.ulisboa.pt>  Tue, 07 Jul 2020 13:18:59 +0100
