=== debian/control ===
Source: tp-linux
Section: dsi
Priority: optional
Maintainer: Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1


Package: dsi-linux-openafs
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 linux-headers-amd64 | linux-headers, 
 linux-image-amd64 | linux-image,
 openafs-modules-dkms
Description: Recomended kernel and afs modules
 Recomended kernel and OpenAFS modules.
