=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,56 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-#  "based" on template debian/rules for most debian packages version 0.24
+#  "based" on template debian/rules for most debian packages version 0.30
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 #For overriding debian/compat
 #export DH_COMPAT=7
 
+#This rule file have a bashism
+SHELL:=/bin/bash
+
+# From dpkg-dev
+include /usr/share/dpkg/pkg-info.mk
+
+# These are used for cross-compiling and for saving the configure script
+# from having to guess our platform (since we know it already)
+DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+# Personal Variables
+PACKNAME=$(shell dh_listpackages)
 PACKAGE=$(shell dh_listpackages)
 
-# Variabels used by the Debian Maintainer exclusively for package
+# Variables used by the Debian Maintainer exclusively for package
 # development.
-DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+#DEB_SOURCE is replacing SOURCENAME
+#SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
+#DEB_VERSION is replacing DEBVER
+#DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
+#DEB_VERSION_UPSTREAM is replacing VER
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-MDIST=squeeze
+ifeq ($(DEB_VERSION),$(DEB_VERSION_UPSTREAM))
+NATIVE=1
+else
+NATIVE=0
+endif
+MDIST=jessie
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
 #CATEG=other_sources
+ifeq ($(NATIVE),0)
+DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz
+#DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).diff.gz
+DISTFILES=$(DISTFILE) $(DEB_SOURCE)_$(DEB_VERSION).debian.tar.gz
+else
+DISTFILE=$(DEB_SOURCE)_$(DEB_VERSION).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
 
 
 
@@ -140,35 +171,43 @@
 # Check variabels used by the Debian Maintainer exclusively for
 # package development.
 vars:
-	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME)
+	echo $(DEB_VERSION_UPSTREAM) $(DEB_VERSION) $(MDIST) $(DIST) $(PACKNAME) $(DEB_SOURCE)
 	echo $(REPOSTARGET)
 	echo $(REPOSARCH)
 	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)
+	echo $(DEB_SOURCE) $(DEB_VERSION) $(DEB_VERSION_EPOCH_UPSTREAM)
+	echo $(DEB_VERSION_UPSTREAM_REVISION) $(DEB_VERSION_UPSTREAM)
+	echo $(DEB_DISTRIBUTION) $(SOURCE_DATE_EPOCH)
+
+
+# Upload the packages and the distribution files into the rigth places
+upload: 
+	make -f ../upload upload
 
 
 # Make tags of the sources as documented by subversion
 tag:
 	cd .. ; svn add $(DISTFILES) ;\
-		echo $(PWD)
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
-			$(SOURCENAME)_$(DEBVER)_*.build \
-			$(SOURCENAME)_$(DEBVER).dsc
-	cd .. ; svn add *_$(DEBVER)_*.deb
+		echo $(CURDIR)
+	cd .. ; svn add $(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+			$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+			$(DEB_SOURCE)_$(DEB_VERSION).dsc
+	cd .. ; svn add *_$(DEB_VERSION)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
+	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEB_VERSION)" \
 		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb
-	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
+		*_$(DEB_VERSION)_*.deb
+	svn mkdir --parents -m "Preparing tag directory for release v$(DEB_VERSION)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
+	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEB_VERSION)" \
 		$(DISTFILES) \
-		$(SOURCENAME)_$(DEBVER)_*.changes \
-		$(SOURCENAME)_$(DEBVER)_*.build \
-		$(SOURCENAME)_$(DEBVER).dsc \
-		*_$(DEBVER)_*.deb \
-		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.changes \
+		$(DEB_SOURCE)_$(DEB_VERSION)_*.build \
+		$(DEB_SOURCE)_$(DEB_VERSION).dsc \
+		*_$(DEB_VERSION)_*.deb \
+		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(DEB_SOURCE)/$(DEB_SOURCE)-$(DEB_VERSION)
 	debchange -i "New release"
